<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>library_dir_dir/system_library_unbundled/source/bound_gcos_tss_.2.s.archive/gtss_prgdes_ext_.alm</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>&quot;  ***********************************************************
<span id="L2" class="LineNr"> 2 </span>&quot;  *                                                         *
<span id="L3" class="LineNr"> 3 </span>&quot;  *                                                         *
<span id="L4" class="LineNr"> 4 </span>&quot;  * Copyright, <span class="textRainbow_lv0_p0">(</span>C<span class="textRainbow_lv0_p0">)</span> Honeywell Information Systems Inc., 1981 *
<span id="L5" class="LineNr"> 5 </span>&quot;  *                                                         *
<span id="L6" class="LineNr"> 6 </span>&quot;  *                                                         *
<span id="L7" class="LineNr"> 7 </span>&quot;  ***********************************************************
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>&quot;         Source for gtss program descriptors data base
<span id="L10" class="LineNr">10 </span>&quot;
<span id="L11" class="LineNr">11 </span>&quot;         Created by: Dave Ward                   06/08/78
<span id="L12" class="LineNr">12 </span>&quot;
<span id="L13" class="LineNr">13 </span>&quot;         Include macros generated by execution of
<span id="L14" class="LineNr">14 </span>&quot;         on entries:
<span id="L15" class="LineNr">15 </span>&quot;         ted$com &gt;udd&gt;Gcos&gt;gtss&gt;tools&gt;gtss
<span id="L16" class="LineNr">16 </span>&quot;  |translate_prgdes       <span class="textRainbow_lv0_p0">(</span>ANK<span class="textRainbow_lv0_p0">)</span> Produce gtss_prgdes from TSSA source.
<span id="L17" class="LineNr">17 </span>&quot;  |get_gtss_names         <span class="textRainbow_lv0_p0">(</span>ANK<span class="textRainbow_lv0_p0">)</span> Extract list of GECALL names form gtss_prgdes
<span id="L18" class="LineNr">18 </span>&quot;  |add_prgdes_info        <span class="textRainbow_lv0_p0">(</span>ANK<span class="textRainbow_lv0_p0">)</span> Add SS info <span class="textRainbow_lv0_p0">(</span>length<span class="textRainbow_lv0_o0">,</span> entry point<span class="textRainbow_lv0_o0">,</span> location<span class="textRainbow_lv0_p0">)</span> to program descriptors.
<span id="L19" class="LineNr">19 </span>&quot;
<span id="L20" class="LineNr">20 </span>&quot;         Changed by:         Dave Ward           06/08/78
<span id="L21" class="LineNr">21 </span>&quot;                             ust portion removed <span class="textRainbow_lv0_p0">(</span>gtss_ext_data_.incl.alm<span class="textRainbow_lv0_p0">)</span>
<span id="L22" class="LineNr">22 </span>&quot;
<span id="L23" class="LineNr">23 </span>          name      gtss_prgdes_ext_
<span id="L24" class="LineNr">24 </span>          include   gtss_prgdes_macros_
<span id="L25" class="LineNr">25 </span>          include   gtss_prgdes_alm_
<span id="L26" class="LineNr">26 </span>&quot;
<span id="L27" class="LineNr">27 </span>&quot;
<span id="L28" class="LineNr">28 </span>&quot;         Mark end of program descriptors.
<span id="L29" class="LineNr">29 </span>          segdef    ENDprgds
<span id="L30" class="LineNr">30 </span>ENDprgds: aci       |ENDprgds|
<span id="L31" class="LineNr">31 </span>&quot;
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>          join      /static/loc1
<span id="L34" class="LineNr">34 </span>          end
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
